airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-1078) Latest_runs endpoint broken in old flask versions
Date Thu, 08 Jun 2017 15:37:18 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-1078?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16042872#comment-16042872
] 

ASF subversion and git services commented on AIRFLOW-1078:
----------------------------------------------------------

Commit 156e90b5c176633588fa7e5021de0185b583b8fc in incubator-airflow's branch refs/heads/v1-8-test
from [~saguziel]
[ https://git-wip-us.apache.org/repos/asf?p=incubator-airflow.git;h=156e90b ]

[AIRFLOW-1078] Fix latest_runs endpoint for old flask versions

Old versions of flask (<0.11) dont support jsonify
on arrays due an
ECMAScript 4 vulnerability in older browsers. This
should work on old
flask versions as well.

Closes #2224 from saguziel/aguziel-fix-homepage


> Latest_runs endpoint broken in old flask versions
> -------------------------------------------------
>
>                 Key: AIRFLOW-1078
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-1078
>             Project: Apache Airflow
>          Issue Type: Bug
>            Reporter: Alex Guziel
>            Assignee: Alex Guziel
>             Fix For: 1.8.2
>
>




--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message